Bug 1170138 - Please build an EPEL7 build of mysqltuner
Summary: Please build an EPEL7 build of mysqltuner
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mysqltuner
Version: epel7
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-03 11:21 UTC by Jan ONDREJ
Modified: 2014-12-20 00:15 UTC (History)
2 users (show)

Fixed In Version: mysqltuner-1.2.0-7.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-20 00:15:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan ONDREJ 2014-12-03 11:21:09 UTC
Description of problem:
Please build mysqltuner for EPEL7. Thank you.

Comment 1 manuel wolfshant 2014-12-03 14:10:17 UTC
Jan, are you willing to test the packages once I build them ? I do not yet use EL7 anywhere so I cannot do any form of local testing, hence my reluctance to push EPEL7 packages

Comment 2 Jan ONDREJ 2014-12-03 14:12:58 UTC
No problem, I can test it immediatelly if it will be in koji. May be from git too. :-)

EL7 is similar to Fedora 18, so you can build current Fedora package.

If you need, I can try to build git/master against EPEL7.

Comment 3 Major Hayden 2014-12-03 15:13:55 UTC
I'll be glad to help test in an EL7 environment.  Thanks for taking the lead on this one, Manuel. ;)

Comment 4 manuel wolfshant 2014-12-04 13:08:57 UTC
Build Info: http://koji.fedoraproject.org/koji/buildinfo?buildID=597031

Please test and provide feedback. If all is well, I will push those to testing
Thank you

Comment 5 Jan ONDREJ 2014-12-04 13:26:01 UTC
Works perfectly. Thank you.

Btw, there is a new version 1.3.0 (see bz#1070136). Any plans to update to this version?

Comment 6 manuel wolfshant 2014-12-04 13:30:42 UTC
Excellent question. So far I've just maintained the EPEL branches, following Ville Skyttä's lead. I guess I could try to update the package, at least for rawhide and EPEL7....

Comment 7 Major Hayden 2014-12-04 13:46:08 UTC
Success on CentOS 7.

Comment 8 manuel wolfshant 2014-12-04 13:50:13 UTC
Major: I assume you meant the version I just built, not 1.3.0, right ?
In this case, I suggest the followin plan:
 - push the recently built 1.2.0 to epel7-testing
 - push 1.3.0 to rawhide
 - wait until 1.2.0 can be promoted to stable
 - build, test and assuming OK, push 1.3.0 to epel7-testing
 - maybe push to older distributions ?
Does it sound reasonable?

Comment 9 Major Hayden 2014-12-04 13:52:08 UTC
That sounds reasonable.  I'm waiting on one GitHub user to finish up a pull request and I'll probably make a new version number since the remaining patches since 1.3.0 have been baking for quite some time.

Would you want to skip 1.3.0 and grab the next version for rawhide?

Comment 10 manuel wolfshant 2014-12-04 14:47:45 UTC
Sure, there is no pressure ( AFAIK ). We've been using 1.2.0 for long enough, I doubt a day or a week more will matter. But you know that since you are a maintainer, you can just push yourself new versions/packages whenever you want, right ? :)

Comment 11 Major Hayden 2014-12-04 14:50:19 UTC
I'll be glad to do it!  I didn't want to step on your toes if you were already on it. ;)

Comment 12 manuel wolfshant 2014-12-04 14:52:33 UTC
nice. we JUST avoided a deadlock, waiting on each other :)

Comment 13 Major Hayden 2014-12-04 14:53:44 UTC
Hah, I'll push a new version into koji as soon as this GitHub PR is done.

Comment 14 Fedora Update System 2014-12-04 15:11:18 UTC
mysqltuner-1.2.0-7.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mysqltuner-1.2.0-7.el7

Comment 15 Fedora Update System 2014-12-05 01:14:44 UTC
Package mysqltuner-1.2.0-7.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mysqltuner-1.2.0-7.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-4464/mysqltuner-1.2.0-7.el7
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-12-20 00:15:56 UTC
mysqltuner-1.2.0-7.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.